EyeConnect

EyeConnect has been discontinued. Existing customers will receive support until the end of 2013. If you are looking for a Mac compatible DLNA server, try searching the following web sites: http://goo.gl/WR8Ck or http://goo.gl/OtvFN.


EyeConnect requires a Macintosh computer (Intel Core CPU) with built-in USB 2.0 ports, and Mac OS X 10.5.8 or later. We recommend Mac OS X 10.8.2 with all software and security updates installed.

Read Me File (English)

Read Me File (Japanese)

EyeConnect 1.7 has been tested with OS X 10.8 Mountain Lion and is compatible.



Use this application to completely uninstall EyeConnect. If you're using EyeTV, EyeConnect will be installed again at the next launch for use with the Wi-Fi Access and EyeTV sharing feature.

Older Versions


Download EyeConnect 1.6.3 now

EyeConnect 1.6.3 requires a Macintosh computer with built-in USB 2.0 ports, and Mac OS X 10.4.11 (Tiger) or later. EyeConnect 1.6.3 is fully compatible with Snow Leopard.

Read Me File (English)

Read Me File (Japanese)


Download EyeConnect 1.5.3 now

EyeConnect 1.5.3 is a Universal application. It requires a Macintosh computer with PowerPC G4 (500MHz or faster), PowerPC G5 or Intel Core processor, and Mac OS X 10.4 (Tiger) or later.

Read Me File (English)

Read Me File (Japanese)